## wordlistraider 1.0~git20200927

=== requirements.txt ===
atomicwrites==1.4.0
attrs==20.1.0
colorama==0.4.3
iniconfig==1.0.1
more-itertools==8.5.0
packaging==20.4
pluggy==0.13.1
py==1.9.0
pyparsing==2.4.7
pytest==6.0.1
six==1.15.0
toml==0.10.1

=== debian/changelog ===
wordlistraider (1.0~git20200927-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Set upstream metadata fields: Description.
  * Update standards version to 4.5.1, no changes needed.
  [ Ben Wilson ]
  * Add Uploaders
  [ Steev Klimaszewski ]
  * Update Debian watch file
  * Update d/watch to follow version scheme for git
  * Add patch to deal with setuptools changes
  * Update standards version to 4.6.1, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 22 Dec 2022 12:34:58 -0600

wordlistraider (1.0~git20200927-0kali1) kali-dev; urgency=medium

  * Initial release (see 6750)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Dec 2020 10:04:47 +0100

=== debian/control ===
Source: wordlistraider
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.1
Homepage: https://github.com/GregorBiswanger/WordlistRaider
Vcs-Git: https://gitlab.com/kalilinux/packages/wordlistraider.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/wordlistraider

Package: wordlistraider
Architecture: all
Depends: figlet, ${misc:Depends}, ${python3:Depends}
Description: Tool to prepare existing wordlists
 This package contains a Python tool for preparing existing wordlists. It
 returns a selection of words that matches the passed conditions in an existing
 list.
 As an example you have a GB big wordlist and you only want passwords with a
 length of at least 8 characters. This optimizes word lists and saves
 unnecessary requests.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/wordlistraider/usr/bin/WordlistRaider.py $(CURDIR)/debian/wordlistraider/usr/bin/wordlistraider

=== debian/tests/control ===
Test-Command: wordlistraider --help
Restrictions: superficial

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=1.0~git%cd \
  https://github.com/GregorBiswanger/WordlistRaider HEAD
# Use the following when upstream starts to tag releases:
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#  https://github.com/GregorBiswanger/WordlistRaider/tags \
#  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
